Page MenuHomePhabricator

reduce amount of remaining Ubuntu 12.04 (precise) systems in production
Closed, ResolvedPublic

Description

We want to reduce (and later eliminate) the number of remaining Ubuntu 12.04 systems (and replace them with Debian)

This was, and is, an ops goal, specifically first it was:

  • Reduce amount of remaining Ubuntu 12.04 systems from 100 to <= 40

and now it is:

  • Reduce amount ot remaining Ubuntu 12.04 systems to 0.

current count: 0

(excludes things like T126385 but that is done)

related ticket to deprecate precise in Labs: T143349

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.
StatusAssignedTask
ResolvedDzahn
Resolvedfaidon
Resolvedelukey
Resolvedelukey
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
DuplicateNone
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedMoritzMuehlenhoff
ResolvedArielGlenn
ResolvedJoe
ResolvedDzahn
ResolvedDzahn
Resolvedelukey
ResolvedDzahn
Declinedakosiaris
Resolvedfgiunchedi
Resolvedakosiaris
ResolvedDzahn
Resolvedjcrespo
DuplicateNone
ResolvedDzahn
Resolvedfgiunchedi
InvalidDzahn
ResolvedDzahn
Resolvedfgiunchedi
ResolvedDzahn
Resolvedfgiunchedi
ResolvedMoritzMuehlenhoff
Resolvedjcrespo
Resolvedjcrespo
ResolvedCmjohnson
ResolvedDzahn
ResolvedCmjohnson
ResolvedKrenair
ResolvedDzahn
ResolvedNone
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Dzahn updated the task description. (Show Details)May 9 2016, 9:49 PM
Dzahn updated the task description. (Show Details)Jun 4 2016, 1:04 AM
Paladox changed the status of subtask T95757: Phase out gallium.wikimedia.org from Stalled to Open.Jun 8 2016, 1:33 PM
Dzahn updated the task description. (Show Details)Jun 29 2016, 8:03 PM

antimony down (and one other). down to 20

jcrespo changed the status of subtask T125027: upgrade dbproxy1001/1002 to jessie from Stalled to Open.Jul 19 2016, 10:19 AM

Total count: 17, none of them mariadbs (technically, there is labsdb1005/6/7, but those are mostly postgres machines).

Dzahn updated the task description. (Show Details)

ytterbium shut down for real, Total count: 16

jcrespo updated the task description. (Show Details)Jul 28 2016, 5:31 PM
This comment was removed by Platonides.

I would like to bring your attention to https://gerrit.wikimedia.org/r/304203

This is not directly related to this goal, but with the amount of old server reimages, that technical debt may have been advanced a lot. @Dzahn Maybe something we can bring up at the "reduce technical debt" part of our next meeting?

Dzahn added a comment.Aug 12 2016, 7:22 PM

I would like to bring your attention to https://gerrit.wikimedia.org/r/304203

I checked the one for gerrit can be removed and just did. https://gerrit.wikimedia.org/r/#/c/304484/

But i think that is it for now.

Danny_B removed a subscriber: Danny_B.Aug 13 2016, 10:01 PM
Dzahn updated the task description. (Show Details)Aug 23 2016, 10:14 PM

hydrogen (DNS) upgraded to jessie. count down to 13

Dzahn updated the task description. (Show Details)

chromium done. both DNS recursors now jessie. count: 12

Dzahn updated the task description. (Show Details)Sep 16 2016, 11:12 PM

titanium shut down, archiva.wm.org runs on meitnerium, count: 11

fgiunchedi changed the status of subtask T123731: Migrate labsdb1005/1006/1007 to jessie from Open to Stalled.Sep 30 2016, 2:40 PM
Dzahn changed the status of subtask T147320: Decomission palladium from Stalled to Open.Oct 18 2016, 5:14 PM
Dzahn updated the task description. (Show Details)Oct 26 2016, 1:33 AM

palladium down , potassium reimaged, count down to 9 with neon to follow soon

Dzahn added a comment.Nov 9 2016, 3:58 AM

gallium shudown and removed from DNS. count: 8

Dzahn updated the task description. (Show Details)Nov 9 2016, 3:59 AM
Dzahn updated the task description. (Show Details)

neon shutdown and removed from DNS, count: 7

jcrespo changed the status of subtask T123731: Migrate labsdb1005/1006/1007 to jessie from Stalled to Open.Feb 6 2017, 5:32 PM
Dzahn updated the task description. (Show Details)EditedFeb 15 2017, 10:08 PM

labsdb1005 is gone. count: 6

Dzahn updated the task description. (Show Details)Feb 21 2017, 10:11 PM

carbon is down: count: 5

Dzahn updated the task description. (Show Details)Feb 21 2017, 10:17 PM
Dzahn updated the task description. (Show Details)
Dzahn renamed this task from reduce amount of remaining Ubuntu 12.04 (precise) systems to reduce amount of remaining Ubuntu 12.04 (precise) systems in production.Feb 21 2017, 10:31 PM
Dzahn updated the task description. (Show Details)
Dzahn added a subscriber: Zppix.Feb 21 2017, 10:34 PM

@Zppix This ticket is for precise in production (i adjusted ticket title to clarify). For precise in labs please use T143349.

Dzahn updated the task description. (Show Details)Feb 21 2017, 10:35 PM

@Dzahn Ah once i added the subtask for here i then started second guessing that, thanks for confirming my doubt.

Dzahn updated the task description. (Show Details)Mar 8 2017, 10:39 PM
Dzahn added a comment.Mar 8 2017, 10:42 PM

labsdb10071 has been reinstalled with jessie: count: 4

Dzahn updated the task description. (Show Details)Mar 8 2017, 10:43 PM
Dzahn updated the task description. (Show Details)Mar 9 2017, 9:46 PM

fluorine has been shutdown: count: 3

Dzahn updated the task description. (Show Details)Mar 20 2017, 3:48 PM

labsdb1006 is down (thanks jynus!) and helium is also down (thanks akosiaris!).

current count: 1 (netmon1001)

Dzahn updated the task description. (Show Details)Mar 29 2017, 1:20 PM

netmon1001 has been reinstalled (thanks godog!)

current count: 0 :)

goal has been reached

Dzahn closed this task as Resolved.Mar 29 2017, 1:23 PM
EddieGP updated the task description. (Show Details)Mar 29 2017, 1:55 PM